Generate a link to bind an external identity source
This document is automatically generated based on https://github.com/authing/authing-docs-factory based on https://api-explorer.genauth.ai V3 API, and is consistent with API parameters and return results. If the description of this document is incorrect, please refer to V3 API.
This interface is used to generate a link to bind an external identity source, and after generation, it can guide users to jump.
Method name
AuthenticationClient.generateLinkExtIdpUrl
Request parameters
| Name | Type | Required | Default value | Description | Sample value |
|---|---|---|---|---|---|
| ext_idp_conn_identifier | string | Yes | - | External identity source connection unique identifier | my-wechat |
| app_id | string | Yes | - | GenAuth application ID | |
| id_token | string | Yes | - | User's id_token |
Request response
Type: GenerateBindExtIdpLinkRespDto
| Name | Type | Description |
|---|---|---|
| statusCode | number | Business status code, which can be used to determine whether the operation is successful. 200 means success. |
| message | string | Description |
| apiCode | number | Segmented error code, which can be used to get the specific error type (successful request does not return). For a detailed list of error codes, see: API Code List |
| requestId | string | Request ID. Returned when the request fails. |
| data | <a GenerateBindExtIdpLinkDataDto | Response data |
Sample result:
json
{
"statusCode": 200,
"message": "Operation successful",
"requestId": "934108e5-9fbf-4d24-8da1-c330328abd6c",
"data": {}
}Data structure
GenerateBindExtIdpLinkDataDto
| Name | Type | Is it required | Description | Sample value |
|---|---|---|---|---|
| url | string | yes | URL of the external identity source to which the user binds |